Package Details: mps-youtube-git 0.2.5.r13.g0f83e42-1

Git Clone URL: https://aur.archlinux.org/mps-youtube-git.git (read-only)
Package Base: mps-youtube-git
Description: Terminal based YouTube jukebox with playlist management
Upstream URL: https://github.com/np1/mps-youtube
Keywords: media music
Licenses: GPL3
Conflicts: mps-youtube
Provides: mps-youtube
Submitter: Kyrias
Maintainer: Kyrias
Last Packager: Kyrias
Votes: 21
Popularity: 0.165316
First Submitted: 2014-02-18 20:11
Last Updated: 2015-09-14 13:46

Dependencies (7)

Required by (0)

Sources (1)

Latest Comments

slav commented on 2016-04-10 17:55

I reinstalled python-pafy-git and clearcache' in mpsyt. Now everything working fine!
Thank you very much,
Slav

ids1024 commented on 2016-04-10 17:43

@slav Make sure you have a recent build of python-pafy-git and run 'clearcache' in mpsyt.

slav commented on 2016-04-10 13:49

discovered that only when set up for
show_video : True
then crushing during listing the same as showed in previous comment below...

slav commented on 2016-04-10 13:37

another issue supposed that happen after updates...

Search results for madonna [1/10>
> Exception in thread Thread-1:
Traceback (most recent call last):
File "/usr/lib/python3.5/threading.py", line 914, in _bootstrap_inner
self.run()
File "/usr/lib/python3.5/threading.py", line 862, in run
self._target(*self._args, **self._kwargs)
File "/usr/lib/python3.5/site-packages/mps_youtube/main.py", line 2475, in _preload
stream = streams.select(streams.get(song), audio=not video, m4a_ok=m4a)
File "/usr/lib/python3.5/site-packages/mps_youtube/streams.py", line 109, in select
streams = [x for x in slist if x['mtype'] == "normal" and okres(x)]
File "/usr/lib/python3.5/site-packages/mps_youtube/streams.py", line 109, in <listcomp>
streams = [x for x in slist if x['mtype'] == "normal" and okres(x)]
File "/usr/lib/python3.5/site-packages/mps_youtube/streams.py", line 93, in okres
return int(x['quality'].split("x")[1]) <= maxres
IndexError: list index out of range

slav commented on 2016-01-29 01:09

I resolved issue adding in locale what I have customised in Plasma 5:

nano /etc/locale.gen

en_GB.UTF-8 UTF-8
en_GB ISO-8859-1
en_US.UTF-8 UTF-8
en_US ISO-8859-1
pl_PL.UTF-8 UTF-8
pl_PL ISO-8859-2

sudo locale-gen

slav commented on 2016-01-27 23:17

Guys can you help to solve this...

mpsyt
Traceback (most recent call last):
File "/usr/bin/mpsyt", line 9, in <module>
load_entry_point('mps-youtube==0.2.6', 'console_scripts', 'mpsyt')()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 550, in load_entry_point
return get_distribution(dist).load_entry_point(group, name)
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2710, in load_entry_point
return ep.load()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2370, in load
return self.resolve()
File "/usr/lib/python3.5/site-packages/pkg_resources/__init__.py", line 2376, in resolve
module = __import__(self.module_name, fromlist=['__name__'], level=0)
File "/usr/lib/python3.5/site-packages/mps_youtube/__init__.py", line 1, in <module>
from .main import init
File "/usr/lib/python3.5/site-packages/mps_youtube/main.py", line 99, in <module>
locale.setlocale(locale.LC_ALL, "") # for date formatting
File "/usr/lib/python3.5/locale.py", line 595, in setlocale
return _setlocale(category, locale)
locale.Error: unsupported locale setting

Kyrias commented on 2015-09-14 13:43

Missing dep added to python-pafy-git.

ids1024 commented on 2015-09-14 01:55

@Thimoteus actually that should be added as a dependency of python-pafy-git. It is not a direct dependency of mps-youtube-git. Also youtube-dl should work, and there isn't really a need for youtube-dl-git.

Anyway, it is true that it should be added as a dependency of python-pafy-git.

Thimoteus commented on 2015-09-14 01:40

Didn't compile for me until I installed youtube-dl-git.

ids1024 commented on 2015-06-17 19:15

I already posted this on the aur3, but that must have been after comments were migrated, because it is not here.

The xclip optdepend should be replaced with python-pyperclip as of this commit:
https://github.com/np1/mps-youtube/commit/0e3a9ca0b9cfa575b8a5d0030eb1bfe9d661c67c

All comments